function [S] = BoundaryIntervals(A,b)
%     $Ax\geq b, A\in \mbR^{m\times 2}, b\in\mbR^m$,
%              m >= 1,
%        S   
%   (=   A_{i:}x = b(i)   ).
 
    m = size(A,1);
    S = zeros(0,5);

    for i=1:m
        q=[-Inf Inf];  %     i- 
        si=true;     % ,  i-    
        dotx= A(i,:)*b(i)/(A(i,:)*A(i,:)');  % \dot{x}
        p=[-A(i,2) A(i,1)]; %    i- 
                            % ,     
                            % (    
                            %    )

        for k=1:m        %%%   i-     - 
                         %%%      
            Akx=A(k,:)*dotx';  %   A_{k:}  \dot{x}
            c=A(k,:)*p';    %   A_{k:}   p
            switch sign(c)
               case -1
                  q(2)=min(q(2),(b(k)-Akx)/c);
               case 1
                  q(1)=max(q(1),(b(k)-Akx)/c);
               %case 0
               otherwise
                  if single(Akx)<single(b(k))
                     if single(A(k,:)*A(i,:)')>0
                        si=false; % i-     
                        break %    for k
                     else % .. <0    - i  k 
%                       disp('   ') 
                        return %    
                     end
                  end
            end
        end

        if single(q(1))>single(q(2))
           si=false;
        end 

        if si
        S=[ S ; dotx+p*q(1) , dotx+p*q(2) , i];
        end

    end
    
                
end