function [xi,At,bt,y1,y2]=ChangeVariable(A,b,i)
%   i ( A(i,:)x=b(i))
%    xi
%      (x) 
%    (y)  i

   % xi -    i
     xi= A(i,:)*b(i)/(A(i,:)*A(i,:)');

   % 
     At=zeros(0,2);
     bt=zeros(0,1);
     y1=zeros(1,3);
     y2=zeros(1,3);

   %    y1  y2

     % y1 -     A(i,:)   
     %      90  (  )
     [c,l]=min(abs(A(i,:))); %    ~l   A(i,:)
                             %  
     l1=mod(l,3)+1;
     l2=mod(l1,3)+1;
     y1(l1)=A(i,l2);
     y1(l2)=-A(i,l1);

     % y2 -   A(i,:)  y1
     y2=cross(A(i,:),y1);

   %      
   % -    (A,b)  (At,bt)
   A(i,:)=[];
   b(i,:)=[];
   At=[A*y1' A*y2'];
   bt=b-A*xi';

end